# hbase chef cookbook

Installs/Configures HBase

## Overview

Installs/Configures HBase

## Attributes

* `[:groups][:hbase][:gid]`           -  (default: "304")
* `[:hbase][:tmp_dir]`                -  (default: "/mnt/hbase/tmp")
* `[:hbase][:cluster_name]`           -  (default: "cluster_name")
* `[:hbase][:weekly_backup_tables]`   - 
* `[:hbase][:home_dir]`               -  (default: "/usr/lib/hbase")
* `[:hbase][:conf_dir]`               -  (default: "/etc/hbase/conf")
* `[:hbase][:log_dir]`                -  (default: "/var/log/hbase")
* `[:hbase][:pid_dir]`                -  (default: "/var/run/hbase")
* `[:hbase][:exported_confs]`         - 
* `[:hbase][:exported_jars]`            - 
* `[:hbase][:master][:new_java_heap_size_max]` -  (default: "1000m")
* `[:hbase][:master][:java_heap_size_new]`   -  (default: "256m")
* `[:hbase][:master][:gc_tuning_opts]` -  (default: "-XX:+UseConcMarkSweepGC -XX:+AggressiveOpts")
* `[:hbase][:master][:gc_log_opts]`   -  (default: "-verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -Xloggc:/var/log/hbase/hbase-master-gc.log")
* `[:hbase][:master][:run_state]`     -  (default: "start")
* `[:hbase][:regionserver][:java_heap_size_max]` -  (default: "2000m")
* `[:hbase][:regionserver][:java_heap_size_new]` -  (default: "256m")
* `[:hbase][:regionserver][:gc_tuning_opts]` -  (default: "-XX:+UseConcMarkSweepGC -XX:+AggressiveOpts -XX:CMSInitiatingOccupancyFraction=88")
* `[:hbase][:regionserver][:gc_log_opts]` -  (default: "-verbose:gc -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -Xloggc:/var/log/hbase/hbase-regionserver-gc.log")
* `[:hbase][:regionserver][:run_state]` -  (default: "start")
* `[:hbase][:stargate][:run_state]`   -  (default: "start")
* `[:hbase][:thrift][:run_state]`     -  (default: "start")

## Recipes 

* `backup_tables`            - Cron job to backup tables to S3
* `default`                  - Base configuration for hbase
* `master`                   - HBase Master
* `regionserver`             - HBase Regionserver
* `stargate`                 - HBase Stargate: HTTP frontend to HBase

## Integration

Supports platforms: debian and ubuntu

Cookbook dependencies:
* java
* apt
* runit
* hadoop_cluster
* zookeeper
* ganglia
* volumes


## License and Author

Author::                Chris Howe - Infochimps, Inc (<coders@infochimps.com>)
Copyright::             2011, Chris Howe - Infochimps, Inc

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

> readme generated by [cluster_chef](http://github.com/infochimps/cluster_chef)'s cookbook_munger
